from metadata.sdk import configurefrom metadata.sdk.entities import Glossariesconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDglossary = Glossaries.retrieve("c2940a98-f147-6g46-cdef-31f0c4406dc3")print(f"{glossary.fullyQualifiedName.root}: {getattr(glossary.description, 'root', glossary.description)}")# Get by ID with fieldsglossary = Glossaries.retrieve( "c2940a98-f147-6g46-cdef-31f0c4406dc3", fields=["owners", "tags", "reviewers"])# Get by fully qualified nameglossary = Glossaries.retrieve_by_name("BusinessGlossary")# Get by name with fieldsglossary = Glossaries.retrieve_by_name( "BusinessGlossary", fields=["owners", "tags", "reviewers"])
// client is an initialized OpenMetadataClient.var glossary = client.glossaries().get("c2940a98-f147-6g46-cdef-31f0c4406dc3");// Get by ID with fieldsvar glossaryWithFields = client.glossaries().get( "c2940a98-f147-6g46-cdef-31f0c4406dc3", "owners,tags,reviewers");// Get by fully qualified namevar glossaryByName = client.glossaries().getByName("BusinessGlossary");// Get by name with fieldsvar glossaryByNameWithFields = client.glossaries().getByName( "BusinessGlossary", "owners,tags,reviewers");
# Get by IDcurl "{base_url}/api/v1/glossaries/c2940a98-f147-6g46-cdef-31f0c4406dc3" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/glossaries/c2940a98-f147-6g46-cdef-31f0c4406dc3?fields=owners,tags,reviewers" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/glossaries/name/BusinessGlossary" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/glossaries/name/BusinessGlossary?fields=owners,tags,domains,reviewers" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Glossariesconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDglossary = Glossaries.retrieve("c2940a98-f147-6g46-cdef-31f0c4406dc3")print(f"{glossary.fullyQualifiedName.root}: {getattr(glossary.description, 'root', glossary.description)}")# Get by ID with fieldsglossary = Glossaries.retrieve( "c2940a98-f147-6g46-cdef-31f0c4406dc3", fields=["owners", "tags", "reviewers"])# Get by fully qualified nameglossary = Glossaries.retrieve_by_name("BusinessGlossary")# Get by name with fieldsglossary = Glossaries.retrieve_by_name( "BusinessGlossary", fields=["owners", "tags", "reviewers"])
// client is an initialized OpenMetadataClient.var glossary = client.glossaries().get("c2940a98-f147-6g46-cdef-31f0c4406dc3");// Get by ID with fieldsvar glossaryWithFields = client.glossaries().get( "c2940a98-f147-6g46-cdef-31f0c4406dc3", "owners,tags,reviewers");// Get by fully qualified namevar glossaryByName = client.glossaries().getByName("BusinessGlossary");// Get by name with fieldsvar glossaryByNameWithFields = client.glossaries().getByName( "BusinessGlossary", "owners,tags,reviewers");
# Get by IDcurl "{base_url}/api/v1/glossaries/c2940a98-f147-6g46-cdef-31f0c4406dc3" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/glossaries/c2940a98-f147-6g46-cdef-31f0c4406dc3?fields=owners,tags,reviewers" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/glossaries/name/BusinessGlossary" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/glossaries/name/BusinessGlossary?fields=owners,tags,domains,reviewers" \ -H "Authorization: Bearer {access_token}"
Get a single glossary by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the glossary to retrieve.
string
Comma-separated list of fields to include, for example owners,tags,domains,reviewers.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/glossaries/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the glossary, for example BusinessGlossary.
string
Comma-separated list of fields to include: owners, tags, domains, reviewers.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/glossaries/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Glossariesconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDglossary = Glossaries.retrieve("c2940a98-f147-6g46-cdef-31f0c4406dc3")print(f"{glossary.fullyQualifiedName.root}: {getattr(glossary.description, 'root', glossary.description)}")# Get by ID with fieldsglossary = Glossaries.retrieve( "c2940a98-f147-6g46-cdef-31f0c4406dc3", fields=["owners", "tags", "reviewers"])# Get by fully qualified nameglossary = Glossaries.retrieve_by_name("BusinessGlossary")# Get by name with fieldsglossary = Glossaries.retrieve_by_name( "BusinessGlossary", fields=["owners", "tags", "reviewers"])
// client is an initialized OpenMetadataClient.var glossary = client.glossaries().get("c2940a98-f147-6g46-cdef-31f0c4406dc3");// Get by ID with fieldsvar glossaryWithFields = client.glossaries().get( "c2940a98-f147-6g46-cdef-31f0c4406dc3", "owners,tags,reviewers");// Get by fully qualified namevar glossaryByName = client.glossaries().getByName("BusinessGlossary");// Get by name with fieldsvar glossaryByNameWithFields = client.glossaries().getByName( "BusinessGlossary", "owners,tags,reviewers");
# Get by IDcurl "{base_url}/api/v1/glossaries/c2940a98-f147-6g46-cdef-31f0c4406dc3" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/glossaries/c2940a98-f147-6g46-cdef-31f0c4406dc3?fields=owners,tags,reviewers" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/glossaries/name/BusinessGlossary" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/glossaries/name/BusinessGlossary?fields=owners,tags,domains,reviewers" \ -H "Authorization: Bearer {access_token}"